1 Reply Latest reply on Aug 28, 2014 2:34 PM by Rafael Soares (Tuelho)

    Unable to use camel-salesforce component in Camel blueprint

    Rafael Soares (Tuelho) Novice

      Hello All!

       

      I'm trying to use camel-salesforce component in my camel blueprint and deploy in a Fabric container.

      I 'm able to build my project using fabric8 maven plugin but the container can't deploy it. The following error occurs:

       

      Provision Exception:
      org.osgi.service.resolver.ResolutionException: Unable to resolve dummy/0.0.0: missing requirement [dummy/0.0.0] osgi.identity; osgi.identity=org.jboss.fusedemo.salesforce; type=osgi.bundle; version="[1.1.6,1.1.6]" [caused by: Unable to resolve org.jboss.fusedemo.salesforce/1.1.6: missing requirement [org.jboss.fusedemo.salesforce/1.1.6] osgi.wiring.package; filter:="(osgi.wiring.package=org.fusesource.camel.component.salesforce)"]
        at org.apache.felix.resolver.Candidates.populateResource(Candidates.java:285)
        at org.apache.felix.resolver.Candidates.populate(Candidates.java:153)
        at org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:148)
        at io.fabric8.agent.DeploymentBuilder.resolve(DeploymentBuilder.java:226)
        at io.fabric8.agent.DeploymentAgent.doUpdate(DeploymentAgent.java:521)
        at io.fabric8.agent.DeploymentAgent$2.run(DeploymentAgent.java:252)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
        at java.util.concurrent.FutureTask.run(FutureTask.java:262)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:745)
      
      

       

      The pom.xml is attached here.